Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens Gallery
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • 🚧 [Experimental] List cloud environments
        • 🚧 [Experimental] Get cloud environment
        • 🚧 [Experimental] Create cloud environment
        • 🚧 [Experimental] Update cloud environment
        • 🚧 [Experimental] Delete cloud environment
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. CloudEnvironments
  4. 🚧 [Experimental] Get cloud environment
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

🚧 [Experimental] Get cloud environment

Returns the specified cloud environment.

RequestRequest

POST

https://api.datalens.tech/rpc/getCloudEnvironment

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "id": "example",
  "includePermissions": true
}

Name

Description

id

Type: string

ID of the cloud environment to return.

Min length: 1

Max length: 50

Example: example

includePermissions

Type: boolean

Whether to return permissions of the current user.

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "id": "example",
  "name": "example",
  "description": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "createdById": "example",
  "updatedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "updatedById": "example",
  "status": "STATUS_UNSPECIFIED",
  "statusDetails": "example",
  "cloudId": "example",
  "tenantId": "example",
  "subnetId": "example",
  "securityGroupIds": [
    "example"
  ],
  "permissions": {},
  "storage": {
    "maxSize": "example"
  }
}

Name

Description

cloudId

Type: string

ID of the cloud that hosts the cloud environment.

Example: example

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the cloud environment was created.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdById

Type: string

ID of the cloud environment creator.

Example: example

id

Type: string

ID of the cloud environment.

Min length: 1

Example: example

name

Type: string

Name of the cloud environment.

Min length: 1

Example: example

securityGroupIds

Type: string[]

IDs of the security groups used by the cloud environment.

Example
[
  "example"
]

status

Type: string

Current status of the cloud environment.

Enum: STATUS_UNSPECIFIED, CREATING, READY, ERROR, DELETING, BROKEN

statusDetails

Type: string

Details of the current status.

Example: example

subnetId

Type: string

ID of the subnet used by the cloud environment.

Example: example

tenantId

Type: string

ID of the DataLens tenant.

Example: example

updatedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the cloud environment was last updated.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

updatedById

Type: string

ID of the user who last updated the cloud environment.

Example: example

description

Type: string

Description of the cloud environment.

Example: example

permissions

Type: object

[additional]

Type: boolean

Permissions of the current user for the cloud environment.

Example
{}

storage

Type: object | null

Storage settings of the cloud environment.

Example
{
  "maxSize": "example"
}

Was the article helpful?

Previous
🚧 [Experimental] List cloud environments
Next
🚧 [Experimental] Create cloud environment
© 2026 Direct Cursus Technology L.L.C.